'*******************************************************************************
'
'                            S6D1121 LCD Test
'
'                            resolution 240x320
'
'*******************************************************************************
$regfile = "usb1286.dat"
$crystal = 8000000
$hwstack = 64
$swstack = 64
$framesize = 64

'--------------------------- Pin Configuration ---------------------------------
Data_disp Alias Portc : Config Data_disp = Output           'Data Port
Rs_disp Alias Portf.4 : Config Rs_disp = Output             'Command/Data pin
Wr_disp Alias Portf.5 : Config Wr_disp = Output             'Write pin

Cs_disp Alias Portf.7 : Config Cs_disp = Output             'Chip Select
Cs_disp = 0

Res_disp Alias Portf.6 : Config Res_disp = Output           'Reset pin
Res_disp = 1

'-------------------------------- Library --------------------------------------
Const Portrait = 0                                          '0=Landscape, 1=Portrait
Config Submode = New : $include "S6D1121 8bit library.inc"  'Include library

'------------------------------- TouchScreen -----------------------------------
Clk_touch Alias Portf.1 : Config Clk_touch = Output         'XPT2046 Clock Pin
Cs_touch Alias Portf.0 : Config Cs_touch = Output           'XPT2046 CS Pin
Dout_touch Alias Portf.3 : Config Dout_touch = Output       'XPT2046 Din Pin
Din_touch Alias Pinf.2 : Config Din_touch = Input           'XPT2046 Dout Pin
Cs_touch = 1

Config Pine.4 = Input : Porte.7 = 1                         'Pen Interrupt
Config Int4 = Falling
On Int4 Touch_int
Enable Int4

Dim Touch_flag As Bit
Dim Touchx As Word , Touchy As Word
Dim X_dout As Byte : X_dout = 208
Dim Y_dout As Byte : Y_dout = 144

$include "Touch.inc"                                        'Include touchscreen library
'================================ Test Program =================================

Dim Text As String * 6
Enable Interrupts
Display_init                                                ' Initialize Display
Lcd_clear White
Restore Font12x16

Do

If Touch_flag = 1 Then
   'Lcd_clear White
   Read_touch
   'Text = Str(touchx) + "   "
   'Lcd_text Text , 0 , 0 , Black , White
   'Text = Str(touchy) + "   "
   'Lcd_text Text , 0 , 20 , Black , White
   Lcd_fill_circle Touchx , Touchy , 5 , Black
End If

Loop

End                                                         'end program
'-------------------------------------------------------------------------------
$include "Font12x16.font"

'---------------- Touch Interrupt
Touch_int:
    Touch_flag = 1
Return
